summaryrefslogtreecommitdiffstats
path: root/contrib/debian/openzfs-zfs-zed.prerm
diff options
context:
space:
mode:
authorUmer Saleem <[email protected]>2022-10-28 03:38:45 +0500
committerGitHub <[email protected]>2022-10-27 15:38:45 -0700
commit4d631a509d067c2695a396983cb12f58d92d4e04 (patch)
treefbf03b8f2344cbd7830c5029227c7b349e5e7938 /contrib/debian/openzfs-zfs-zed.prerm
parent4938d01db7e12751e0cc3161d23dd549a0cee8ab (diff)
Add native Debian Packaging for Linux
Currently, the Debian packages are generated from ALIEN that converts RPMs to Debian packages. This commit adds native Debian packaging for Debian based systems. This packaging is a fork of Debian zfs-linux 2.1.6-2 release. (source: https://salsa.debian.org/zfsonlinux-team/zfs) Some updates have been made to keep the footprint minimal that include removing the tests, translation files, patches directory etc. All credits go to Debian ZFS on Linux Packaging Team. For copyright information, please refer to contrib/debian/copyright. scripts/debian-packaging.sh can be used to invoke the build. Reviewed-by: Mo Zhou <[email protected]> Reviewed-by: Ryan Moeller <[email protected]> Signed-off-by: Umer Saleem <[email protected]> Closes #13451
Diffstat (limited to 'contrib/debian/openzfs-zfs-zed.prerm')
-rw-r--r--contrib/debian/openzfs-zfs-zed.prerm16
1 files changed, 16 insertions, 0 deletions
diff --git a/contrib/debian/openzfs-zfs-zed.prerm b/contrib/debian/openzfs-zfs-zed.prerm
new file mode 100644
index 000000000..b8340df53
--- /dev/null
+++ b/contrib/debian/openzfs-zfs-zed.prerm
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+zedd="/usr/lib/zfs-linux/zed.d"
+etcd="/etc/zfs/zed.d"
+
+if [ "$1" != "failed-upgrade" ] && [ -d "${etcd}" ] && [ -d "${zedd}" ] ; then
+ while read -r file ; do
+ etcfile="${etcd}/${file}"
+ ( [ -L "${etcfile}" ] || [ -e "${etcfile}" ] ) && continue
+ ln -sT /dev/null "${etcfile}"
+ done < "${zedd}/DEFAULT-ENABLED"
+fi
+
+#DEBHELPER#
+